##############################################

#--- PATH ------------------------------------
HOME = /home/mukuyeski
CUDA_PATH	:=/usr/local/cuda-8.0rc
CUDA_LIB  = $(CUDA_PATH)/lib64
CUDA_INC  = $(CUDA_PATH)/include
#CUDA_PATH	:=/usr/local/cuda-7.0
#CUDA_LIB  = $(CUDA_PATH)/lib
#CUDA_INC  = $(CUDA_PATH)/include

#--- Compute Capability ----------------------
 CC20 = yes
 CC21 = yes
 CC30 = yes
 CC32 = yes
 CC35 = yes
 CC37 = yes
 CC50 = yes
 CC52 = yes
 CC53 = yes
 CC60 = yes
 CC61 = yes

#--- Precision -------------------------------
 PREC_S = yes
 PREC_D = yes
 PREC_DB = yes
 PREC_C = yes
 PREC_Z = yes
 PREC_W = yes
 PREC_U = yes
 PREC_B = yes
 PREC_V = yes

#--- CUBLAS compatible -----------------------
 MUBLAS_CC = yes

#--- Routine ---------------------------------
# level-0
 GEAM = yes
# level-1
 AXPY = yes
 SCAL = yes
# level-2
 GEMV = yes
 GEMV_MGPU = yes
 TRMV = yes
 CSRMV = yes
# level-3
 GEMM = yes
 GEMM_MGPU = yes

##############################################
